# AC_LIB_RCCPARSER([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
# ---------------------------------------------------------
# Checks for the rccparser library
AC_DEFUN([AC_LIB_RCCPARSER],
[AS_VAR_PUSHDEF([ac_lib_rccparser], [ac_cv_lib_rccparser])dnl
AC_CACHE_CHECK(whether the rccparser library is available, ac_cv_lib_rccparser,
               [AC_LANG_PUSH(C++)
                OLD_LDFLAGS="$LDFLAGS"
                LDFLAGS="$LDFLAGS -lrccparser"
                AC_LINK_IFELSE([@%:@include <rccparser/rccparser.h>
                                int main()
                                {
                                    RCC_parse( NULL );
                                    return 0;
                                }],
                                [AS_VAR_SET(ac_lib_rccparser, yes)], 
                                [AS_VAR_SET(ac_lib_rccparser, no) 
                                 LDFLAGS="$OLD_LDFLAGS"
                                ])
                AC_LANG_POP(C++)
                ])
AS_IF([test AS_VAR_GET(ac_lib_rccparser) = yes], [$1], [$2])
AS_VAR_POPDEF([ac_lib_rccparser])dnl
])# AC_LIB_RCCPARSER
